<?php
/**************************
*  Parabola extra social icons child theme example
*  version 0.1 / 20140529 / for Parabola v1.0 and up
*  (c) Cryout Creations
* ***********************/

$extraSocials = array(
	'NewSocial1',
	'NewSocial2',
	// edit and/or add your extra socials here;
	// leave this array empty if you only want to replace the images in your child theme
	// the new social icons image files need to be placed in the parabola-extrasocials/images/socials folder,
    // with the exact same name(s) used above; capitalization DOES matter!
);

// *** no configurables below; only edit if you know what you're doing ***

// EXTRA SOCIAL ICONS CODE 
// overload the social icons array
function child_override(){
global $socialNetworks, $extraSocials;
if (is_array($socialNetworks))
      $socialNetworks = array_merge( $socialNetworks, $extraSocials );
};
// add hook for overload function
add_action( 'after_setup_theme', 'child_override' );

// custom child theme socials display function - it picks the image file if found in the child theme
function parabola_set_social_icons($id) {
	$cryout_special_keys = array('Mail', 'Skype');
	global $parabolas;
	foreach ($parabolas as $key => $value) {
		${"$key"} = $value ;
	}
	echo '<div class="socials" id="'.$id.'">';
	for ($i=1; $i<=9; $i+=2) {
		$j=$i+1;
		if ( ${"parabola_social$j"} ) {
			if (in_array(${"parabola_social$i"},$cryout_special_keys)) :
				$cryout_current_social = esc_html( ${"parabola_social$j"} );
			else :
				$cryout_current_social = esc_url( ${"parabola_social$j"} );
			endif;				
			$icon = get_stylesheet_directory_uri().'/images/socials/'.${"parabola_social$i"}.'.png';
            $childicon = get_stylesheet_directory().'/images/socials/'.${"parabola_social$i"}.'.png'; 
			
			if (!file_exists($childicon)) { $icon = get_template_directory_uri().'/images/socials/'.${"parabola_social$i"}.'.png'; };?>

			<a <?php if ($parabolas['parabola_social_target'.$i]) {echo ' target="_blank" ';} ?> rel="nofollow" href="<?php echo $cryout_current_social; ?>"
			class="socialicons social-<?php echo esc_attr(${"parabola_social$i"}); ?>" title="<?php echo ${"parabola_social_title$i"} !="" ? esc_attr(${"parabola_social_title$i"}) : esc_attr(${"parabola_social$i"}); ?>">
				<img alt="<?php echo esc_attr(${"parabola_social$i"}); ?>" src="<?php echo $icon; ?>" />
			</a><?php
		}
	}
	echo '</div>';
} // parabola_set_social_icons()
// END EXTRA SOCIAL ICONS CODE


?>